Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 130058 - Changes made in format for internationalized string is not remembered
Changes made in format for internationalized string is not remembered
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: I18N
6.x
All All
: P3 (vote)
: 6.x
Assigned To: rbalada
issues@java
61fixes1-fixed
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 16:00 UTC by Jana Maleckova
Modified: 2008-06-04 08:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jana Maleckova 2008-03-13 16:00:10 UTC
Product Version: NetBeans IDE Dev (Build 200803130007)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-121
System: Mac OS X version 10.4.11 running on ppc; MacRoman; en_US (nb)

Description:
============
Open dialog for Internationalization
1. select some properties file
2. invoke dialog for format
There is some format as default (java.util.ResourceBundle.getBundle("{bundleNameSlashes}").getString("{key}"))
3. just delete argument e.g. {bundleNameSlashes} and press ok
4. invoke format again
5. place cursor on place where {bundleNameSlashes} was before deleting
6. do double click on argument {bundleNameDots} which is offered below
7. confirm 
check, new argument doesn't occur in string
Comment 1 Marian Petras 2008-04-02 18:47:01 UTC
Confirmed in build 080402.
Comment 2 Marian Petras 2008-04-02 18:49:00 UTC
If the combo-box receives focus between steps 6. and 7., the format is saved as expected. So it seems that focus
gain/loss is what triggers storage of the new format. This should be easy to fix.
Comment 3 rbalada 2008-04-10 12:47:28 UTC
Fixed in main

http://hg.netbeans.org/main/rev/4f221290d949
Comment 4 Marian Petras 2008-04-15 10:35:16 UTC
I have simplified the fix:

    http://hg.netbeans.org/main/rev/3fd521673cd1

The resulting fix of this bug is thus very simple. To see the diff, run the following command:

    hg diff -r dd3708230e53 -r 3fd521673cd1 i18n/src/org/netbeans/modules/i18n/HelpStringCustomEditor.java
Comment 5 Jana Maleckova 2008-04-25 07:21:17 UTC
verified on 
Product Version: NetBeans IDE Dev (Build 20080424060718)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b11
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Comment 6 rbalada 2008-04-25 17:18:22 UTC
Merged into release61_fixes repository

changeset:   77450:1154d05a80df
user:        Rudolf Balada <rbalada@netbeans.org>
date:        Thu Apr 10 13:45:50 2008 +0200
summary:     #130058: Changes made in format for internationalized string is not remembered

changeset:   77451:2643fac76917
tag:         tip
user:        mpetras@netbeans.org
date:        Mon Apr 14 17:31:37 2008 +0200
summary:     simplified fix of bug #130058 ("Changes made in format for internationalized string is not remembered ")
Comment 7 Jana Maleckova 2008-05-16 15:33:00 UTC
verified in patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo